# SonarConfigurationFileParser

author | Bernhard Mendl mail@bernhard-mendl.de
package | phing.tasks.ext.sonar

### Methods

## __construct

    __construct(string $file, \Project $project)

### Arguments

#### $file

`string`

The properties file.

#### $project

`\Project`

## checkMultiLine

    checkMultiLine() : boolean

### Response

`boolean`

## extractContinuedValue

    extractContinuedValue(string $line) : boolean

### Arguments

#### $line

`string`

### Response

`boolean`

## extractNameAndValue

    extractNameAndValue(string $line) : boolean

### Arguments

#### $line

`string`

### Response

`boolean`

## isCommentLine

    isCommentLine(string $line) : boolean

### Arguments

#### $line

`string`

### Response

`boolean`

## parse

    parse() : array

throws |

### Response

`array`

### Properties

## project

    project : \Project

var |

### Type(s)

`\Project`

## file

    file : string

var |

### Type(s)

`string`

## This map holds the properties read from the configuration file.

    properties : array

var |

### Type(s)

`array`

## Name of currently parsed property.

    name : string|null

var |

### Type(s)

`string|null`

## Value of currently parsed property.

    value : string

var |

### Type(s)

`string`